* SCRXY
*
* V0.01,  pjwitte 2oi8
* V0.02, pjw, June 5th 2019, check parameters, now Qdos+PI compatible?
* V0.03, pjw, 2021 Oct 03, if no PI return "standard" sizes
*

        section code

        xdef SCRXY

        xref iputp_d1

        include dev8_keys_con
        include dev8_keys_sys
        include dev8_keys_qdos_sms
        include dev8_keys_qlv
        include dev8_keys_err


*
SCRXY
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Get screen dimensions directly from screen driver - without use of
* a channel
*
* SCRXY sx%, sy%
*
* where sx%/sy% are return parameters
*
* Only programmer parameter errors
*

        lea.l 2*8(a3),a4        two pars required
        cmpa.l a4,a5
        bne.s err_bp

        moveq #2,d1              ensure space for putp
        move.w qa.resri,a2
        jsr (a2)

        moveq #sms.info,d0
        trap #do.smsq           get ptr to system variables in a0

        move.l sys_clnk(a0),d0
        bne.s pi_ok             we have PI

        move.l #$02000100,d1    no PI, use 512x256
        bra.s ret

pi_ok
        movea.l d0,a4           ptr to CON linkage
        move.l pt_xscrs(a4),d1  get scr x/y

ret
        bsr.s bplsw
        nop
*
bplsw
        swap d1
        bra iputp_d1


err_bp
        moveq #err.ipar,d0

err
        rts

*
        end
